import numpy as np
from PIL import Image

img = Image.open("SheepBase.png").convert("RGBA").split()
img_R = np.array(img[0]) / 255.0
img_G = np.array(img[1]) / 255.0
img_B = np.array(img[2]) / 255.0
img_A = np.array(img[3]) / 255.0

img_W = (img_R + img_G + img_B) / 3


white = 224.0 / 255.0
black = 59.0 / 255.0

def joinArray(A, B):
	return np.concatenate((A, B), axis=0)

def colorize(A, c):
	r = np.ones_like(A)
	r[A > 0] = c
	return r

col = joinArray(np.ones_like(img_A) * black, np.ones_like(img_A) * white)

t2 = (img_W - black) / (white - black)
t2[t2 < 0] = 0
t2[t2 > 1] = 1
t = joinArray(img_A, t2)

data = np.array([col, col, col, t]).transpose((1, 2, 0)) * 255.0

newImg = Image.fromarray(data.astype(np.uint8), 'RGBA')
newImg.save("Layers.png")

print("Test")
